﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        .shortCutClass
        {
            background: url('ics.png') no-repeat 0 center !important; /*Cusom icon path*/
            font-style: italic;
        }
        
        .shortCutClass + span
        {
            font-style: italic;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadFileExplorer ID="RadFileExplorer1" runat="server" Width="500px">
    </telerik:RadFileExplorer>
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript">

            function OnRowDataBound(ogrid, args)
            {
                var dataItem = args.get_dataItem();
                var folderType = dataItem.Attributes.folderType;

                if (folderType)
                {
                    setTimeout(function ()
                    {
                        $telerik.$(".folder").removeClass("folder").addClass("shortCutClass");
                    }, 0);
                }
            }
            function OnTreeLoad(oTree, args)
            {
                applyStyleToNode(oTree.get_nodes());
            }

            function OnClientNodePopulated(oTree, args)
            {
                applyStyleToNode(args.get_node().get_nodes());
            }

            function applyStyleToNode(nodes)
            {
                for (var i = 0; i < nodes.get_count(); i++)
                {
                    var currentnode = nodes.getNode(i);
                    var rawText = currentnode.get_text(); // Includes the passed HTML as well
                    //extract the name only:

                    applyStyleToNode(currentnode.get_nodes());
                    if ((rawText.search("folderType='Shortcut'") != -1) && (currentnode.get_level() > 0))
                    {
                        var folderName = rawText.replace("<span folderType='Shortcut'>", "").replace("</span>", "");
                        $telerik.$(".folder", currentnode.get_element()).removeClass("folder").addClass("shortCutClass");

                        currentnode.set_text(folderName);
                        alert(currentnode.get_text());
                    }
                }
            }
        </script>
    </telerik:RadScriptBlock>
    </form>
</body>
</html>
