﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Widgets;
using System.IO;
using System.Reflection;
using System.Text;
using System.Data;
using System.Globalization;
using System.Web.UI.WebControls.Adapters;
using Telerik.Web.UI;

public partial class _Default : Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string path = "~/ROOT/";
        RadFileExplorer1.Configuration.ViewPaths = new string[] { path };
        RadFileExplorer1.Configuration.UploadPaths = new string[] { path };
        RadFileExplorer1.Configuration.DeletePaths = new string[] { path };

        RadFileExplorer1.TreeView.OnClientLoad = "OnTreeLoad";
        RadFileExplorer1.TreeView.OnClientNodePopulated = "OnClientNodePopulated";
        RadFileExplorer1.Grid.ClientSettings.ClientEvents.OnRowDataBound = "OnRowDataBound";
        RadFileExplorer1.ExplorerPopulated += new RadFileExplorerGridEventHandler(RadFileExplorer1_ExplorerPopulated);
    }

    void RadFileExplorer1_ExplorerPopulated(object sender, RadFileExplorerPopulatedEventArgs e)
    {
        if (e.ControlName == "tree")
        {// TreeView is populating
            e.List.ToList().ForEach(dir =>
            {
                // You can use some condition here in order to determine whether to change the folder name
              //  dir.Name = "<span folderType='Shortcut'></span>" + dir.Name ;
            });
        }
        else
        {// Grid is populating
            e.List.ToList().ForEach(dir =>
            {
                if (dir is DirectoryItem)
                {
                    // You can use some condition here in order to determine whether to change the folder name
                    dir.Attributes.Add("folderType", "Shortcut");
                }
            });
        }
    }
}
